Bug 196578 - X doesn't start with xorg-x11-drv-via shipped with fc6test1, using driver provided by openchrome.org fix the problem.
X doesn't start with xorg-x11-drv-via shipped with fc6test1, using driver pro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
http://www.openchrome.org/
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-06-25 04:22 EDT by Itamar Reis Peixoto
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 18:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg via driver working (driver provided by openchrome) (54.38 KB, text/plain)
2006-06-27 11:32 EDT, Itamar Reis Peixoto
no flags Details
xorg x11 not working, this driver comes with fc6test1 (39.33 KB, text/plain)
2006-06-27 11:33 EDT, Itamar Reis Peixoto
no flags Details
xorg.conf (3.08 KB, application/octet-stream)
2006-06-27 11:43 EDT, Itamar Reis Peixoto
no flags Details

  None (edit)
Description Itamar Reis Peixoto 2006-06-25 04:22:14 EDT
Description of problem:

xorg-x11-drv-via shipped with fc6 test1 doesn' work for me.

Version-Release number of selected component (if applicable):

xorg-x11-drv-via-0.2.1-3.i386.rpm

How reproducible:

X don' start with this driver.

the solution for this problem is the driver provided by 

http://www.openchrome.org/

I have downloaded a SRPMS version for fedora 5 and rebuild in my FC6 test1 

http://washington.kelkoo.net/epia/FC5/SRPMS/

xorg-x11-drv-via-0.2.1.svn189-1.src.rpm
Comment 1 Mike A. Harris 2006-06-25 16:43:38 EDT
Your bug report does not actually indicate what problem you are having.

Please specify what specifically the problem is, and attach your X
server log file and config file as individual uncompressed file attachments
for diagnosis.
Comment 2 Mike A. Harris 2006-06-27 11:01:09 EDT
ping
Comment 3 Itamar Reis Peixoto 2006-06-27 11:09:51 EDT
pong.

I will send the X log's for you.

please hold.
Comment 4 Itamar Reis Peixoto 2006-06-27 11:32:09 EDT
Created attachment 131609 [details]
Xorg via driver working (driver provided by openchrome)

Xorg via driver working (driver provided by openchrome)
Comment 5 Itamar Reis Peixoto 2006-06-27 11:33:53 EDT
Created attachment 131610 [details]
xorg x11 not working, this driver comes with fc6test1

xorg x11 not working, this driver comes with fc6test1
Comment 6 Itamar Reis Peixoto 2006-06-27 11:40:31 EDT
my motherboard is a MSI K8MM-V 

http://www.msicomputer.com/product/p_spec.asp?model=K8MM-V


here are details provided by lspci -v 

01:00.0 VGA compatible controller: VIA Technologies, Inc. S3 Unichrome Pro VGA
Adapter (rev 01) (prog-if 00 [VGA])
        Subsystem: Micro-Star International Co., Ltd. Unknown device 7142
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 201
        Memory at f0000000 (32-bit, prefetchable) [size=64M]
        Memory at f4000000 (32-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at f5000000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 2
        Capabilities: [70] AGP version 3.0
Comment 7 Itamar Reis Peixoto 2006-06-27 11:43:22 EDT
Created attachment 131612 [details]
xorg.conf 

xorg config file.
Comment 8 fimefija 2006-07-04 10:34:54 EDT
On my laptop FC6 Test 1 won't start xorg with via_drv :- 

Board Chipset: VIA K8N800
CPU: AMD Athlon 64 Mobile 3400+ 
AGP: VIA cpu to AGP2.0/AGP3.0 controller 
Display: VIA/S3G UniChrome Pro IGP
LCD Display: 1400 x 1050 
xorg-x11-drv-via-0.2.1-4 

FC6 Test 1 has finally got a x86_64 via_drv.so driver

Unfortunately it still doesn't support my Laptop's motherboard graphics chip:-

X Window System Version 7.1.0
Release Date: 22 May 2006
X Protocol Version 11, Revision 0, Release 7.1
Build Operating System: Linux 2.6.9-34.ELsmp x86_64 Red Hat, Inc.
Current Operating System: Linux linnetmesh.linnet.int 2.6.17-1.2339.fc6 #1 SMP
Fri Jun 30 01:04:18 EDT 2006 x86_64
Build Date: 30 June 2006
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jul  4 14:55:30 2006
(==) Using config file: "/etc/X11/xorg.conf"
(EE) VIA(0): Unknown Card-Ids (1558|4702), report this to the driver maintainer ASAP
/usr/bin/Xorg: symbol lookup error: /usr/lib64/xorg/modules/drivers/via_drv.so:
undefined symbol: assert

/etc/X11/Xorg.conf:-

Section "Monitor"

### Comment all HorizSync and VertSync values to use DDC:
### Comment all HorizSync and VertSync values to use DDC:
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "LCD Panel 1400x1050"
#       HorizSync    31.5 - 90.0
#       VertRefresh  59.0 - 75.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "via"
        VendorName  "Videocard vendor"
        BoardName   "VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1400x1050" "1280x960" "1152x864" "1024x768" "800x600"
"640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

Any further help in adding Via Unichrome to x84_64?

Comment 9 Mike A. Harris 2006-07-24 04:34:53 EDT
Fedora Core currently provides the "via" driver as supplied and supported 
by the X.Org project as the official video driver for via video hardware.

There are 2 other video drivers which support via hardware:

- unichrome
- openchrome

The unichrome driver is a fork of the original via driver, referenced in
the original request in this bug report.  This video driver supports some
things which the stock X.Org 'via' video driver does not, but also lacks
support for some things that the X.Org driver contains.  The 'openchrome'
driver is a fork of the 'unichrome' driver.

While there are 3 different video drivers for 'via' video hardware, none
of the three drivers support all via video hardware, and none of them
support all features of the hardware that they do offer support for.

Each driver contains tradeoffs in support driven by different ideologies
of the developers of each project.  It is unfortunate that the people
working on via support are unable to all work together on a single driver
which supports all of the hardware, and contains a superset of the features
of all 3 drivers.

Users are free to download and experiment with the unichrome and/or
openchrome video drivers if desired, however we do not support either
of these 3rd party drivers at this time.  While using either of these
drivers, if any problems are encountered, bugs should be reported directly
to the project which provides the given driver.  We have no plans of
including the unichrome or openchrome drivers in Fedora Core at this
time.

For those experiencing problems with the official X.Org 'via' driver which
is provided in Fedora Core, please file a bug report in the X.Org bugzilla
at http://bugs.freedesktop.org in the "xorg" component against the 'via'
driver.  Once the upstream developers have found a solution to the problem,
and a patch is available, we will review it and consider applying it to
future Fedora builds, or updating our driver to a newer official X.Org
'via' driver.

Once you have filed a bug in X.Org's bugzilla, if you would like Red Hat
to track the issue and update our driver with a newer X.Org driver once
one becomes available, please paste the X.Org bug URL here and we will
track it.

Setting status to NEEDINFO and awaiting X.Org bug URL for tracking.
Comment 10 Adam Jackson 2006-09-21 18:43:48 EDT
This is just the assert bug.  Fixed in xorg-x11-drv-via 0.2.1-5.
Comment 11 Itamar Reis Peixoto 2006-09-21 19:01:21 EDT
ok, I have tested and now is running fine with xorg-x11-drv-via 0.2.1-5

thanks alot.


Note You need to log in before you can comment on or make changes to this bug.